CADsite

  • do 19 09 2019, 09:28:53
  • Welkom, gast
Log in of registreer jezelf.

Login met gebruikersnaam, wachtwoord en sessielengte
Geavanceerd zoeken  

Nieuws:

Pagina's: [1] 2 3 ... 10
 1 
 Gepost op: Gisteren om 13:06:04 
Gestart door CadJim - Laatste bericht door CadJim
Hallo allemaal, ik zit met het volgende probleem in autocad.
Ik heb een tekening, met 10 layouts. Nu wil graag een dwg creeeren met alleen de layers van een bepaald viewport.
Zodat deze extern kan bewerkt worden om later de aanpassingen in te voegen.

makkelijkst lijkt me om alle layers uit te zetten in model die ook in de bepaalde viewport uit staan en dan dit model te kopieren naar een nieuwe DWG. Maar is het eenvoudig om de layers van een viewport over  te nemen in model?

Of is er een eenvoudigere manier om dit te doen geheel te verkrijgen alvast bedankt.

 2 
 Gepost op: di 17 09 2019, 10:26:39 
Gestart door Arturius65 - Laatste bericht door EddyBeerke
Als je eerst de blocks verwijderd die je niet gebruikt...
Plaats dan alle blocks in je tekening.
Daarna rename je ze allemaal.
Je zou daarvoor deze tool kunnen gebruiken:
(defun c:QRenameBlock (/ ent name new)
  ;; conditional variable to make sure object selected
  (if (and (setq ent (car (entsel "\nSelect block to rename: ")))
           ;; check to make sure object is a block
           (or (eq "INSERT" (cdr (assoc 0 (entget ent))))
               (alert "Invalid object!")
           )
           ;; print block name to command line
           (princ (strcat "\n->>> " (setq name (cdr (assoc 2 (entget ent)))) " <<<-"))
           ;; prompt for new block name and make sure result not equal to ""
           (/= "" (setq new (getstring T "\nspecify new block name: ")))
      )
      (cond
        ;; check if new name already exists
        ((tblsearch "block" new) (alert (strcat "Block: " new " already exists.")))
        ;; check if new name is valid
        ((not (snvalid new)) (alert (strcat "Invalid block name: " new)))
        ;; valid name, rename block
        ((snvalid new)
         (command "_.rename" "_block" name new)
         (princ (strcat "\nBlock \"" name "\" renamed to ->>> " new " <<<-"))
        )
      )
  )
  (princ)
);end defun
Deze start je met het commando: QRENAMEBLOCK

Heb je dit gedaan en wil je de blocks los bewaren, per block een dwg, dan kun je bv deze tool gebruiken:
https://lispbox.wordpress.com/2014/12/15/export-wblock-all-blocks-in-drawing-in-one-click/

Ook de "BLOCKREPLACE" van de expresstools kan handig zijn als je een block wil vervangen door een andere.


 3 
 Gepost op: di 17 09 2019, 09:01:35 
Gestart door Vonk - Laatste bericht door Vonk
Dag julien,
geen verschil met attdia op 0 of 1.
een attribute laat gewoon bij beide optie een dialoogscherm zien. Allen bij
purge ondervind ik het probleem. Al wel even snel gegoogled en lees dat het ook
een xref confilct met een geladen lisp zou kunnen zijn. in ieder geval bedankt.

 4 
 Gepost op: ma 16 09 2019, 21:08:37 
Gestart door Vonk - Laatste bericht door julien
Krijg je bij andere commando's wel nog het dialoogvenster te zien?
Indien niet, dan staat de variabele van ATTDIA waarschijnlijk niet naar wens.
Als je deze op 1 zet krijg je weer dialoogvensters te zien.

 5 
 Gepost op: ma 16 09 2019, 21:07:07 
Gestart door Joris - Laatste bericht door julien
Bedankt om dit te melden

Succes verder!

 6 
 Gepost op: ma 16 09 2019, 17:07:53 
Gestart door Arturius65 - Laatste bericht door bart
Dat kan op verschillende manieren
zijn de blokken genest dan eerst het Block dat aan de top staat een nieuwe naam geven
vervolgens dit Block openen in de bockeditor alle geneste blocken exploderen en het block opslaan.

dan de tekening purgen
zo ga je alle blocken langs.

zijn ze niet genest maar zit alles op het eerste level in de tekening
dan gewoon exploderen en met block nieuwe blocks maken door je meubels te selecteren een naam en een logische insertpoint te kiezen als je convert to block aanzet blijft het getekende als nieuw block in je tekening staan

met purge gooi je ook bij deze methode de oude blocken uit je tekening




 

 7 
 Gepost op: ma 16 09 2019, 16:19:09 
Gestart door Joris - Laatste bericht door Joris
Beste,

Na verder zoeken hebben we het probleem gevonden. Laag 0 stond uit (lampje). Na deze laag aan te zetten was er geen probleem meer. Dus: opgelost.

Joris

 8 
 Gepost op: ma 16 09 2019, 15:22:37 
Gestart door Joris - Laatste bericht door Joris
Beste,

In bijlage het plan.

Vriendelijke groet,
Joris

 9 
 Gepost op: ma 16 09 2019, 15:16:49 
Gestart door Vonk - Laatste bericht door Vonk
Beste,
Na een herinstallatie krijg ik bij het commando Purge geen menu meer te zien.
Alleen onder in de commandobalk de optielijst. Iemand idee hoe ik het purge window menu weer
aan kan krijgen, ik kan het niet vinden? Alvast bedankt voor de reacties, Armand.

 10 
 Gepost op: ma 16 09 2019, 14:49:39 
Gestart door Arturius65 - Laatste bericht door Arturius65
Ik heb het niet helemaal duidelijk uitgelegd maar ik wil zelf namen bedenken. Een stoel heet nu 6354738 of zo iets. Echter die kan ik eenvoudig renamen naar bijvoorbeeld ''Stoel eetkamer''
Maar er zijn ook meubelstukken die bestaan uit meerdere blokken met meerdere namen dus.
Ik wil van zo een meubelstuk 1 blok maken zodat ik die waslijst van blokken voor 1 meubelstuk niet meer heb.
Hoe doe ik dit.

Pagina's: [1] 2 3 ... 10